commit: cc79a30709cc296470454c1a13a40a3ed5639c37
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Tue May 12 05:02:54 2020 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Tue May 12 05:05:21 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc79a307
sys-libs/glibc: Use externally packaged locale-gen
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
sys-libs/glibc/Manifest | 1 +
sys-libs/glibc/glibc-9999.ebuild | 14 +++++++++++++-
2 files changed, 14 insertions(+), 1 deletion(-)
diff --git a/sys-libs/glibc/Manifest b/sys-libs/glibc/Manifest
index d9dbb5ba599..74611966866 100644
--- a/sys-libs/glibc/Manifest
+++ b/sys-libs/glibc/Manifest
@@ -9,3 +9,4 @@ DIST glibc-2.30.tar.xz 16576920 BLAKE2B
bd5aae4c9854f40785b91f83c3b632de6d48d811
DIST glibc-2.31-patches-4.tar.xz 40464 BLAKE2B
8c79b446a37be8f33c10b9fe987d2f55f285bf672a48bf307b60cbc322aadad1eec209b8d2ab88c023fcc718b08d089a151797e2b7352672234044ccd5eb9a9d
SHA512
385de24a814646af3c8504ac1b76aa9d8ee5043d1e666656f7b31fc4a66c32b7c2a7b361b1a77e910182c07ff44bb1d228fd8de13a1915210035cad71251001a
DIST glibc-2.31.tar.xz 16676764 BLAKE2B
91df1792345f157265eae405185a81fd4b8ce36d4c2388f44b0d5b1ae38174ea374cbc909cd260770b9f38ea58051da13766d4fa22abf41c2d4a2493257b179b
SHA512
735e4c0ef10418b6ea945ad3906585e5bbd8b282d76f2131309dce4cec6b15066a5e4a3731773ce428a819b542579c9957867bb0abf05ed2030983fca4412306
DIST glibc-9999-patches-16.tar.xz 17736 BLAKE2B
772f5012ead8e27f5cf5fd2613de9a76ead2128ecd9324cc499e677ea3a96110cb0d4b1d3f12860ffa1267093db310503d7d873fb95060b0c1e046c6a60601d0
SHA512
eb885b7743ac88df7e9eb3a1cd415bc9eabff1c6bd00d32c4e50f1d9dfcc32419eb72ef06749b279d5b80a200a83bc951a851b8c96a023ab09a8a0c28045d563
+DIST locale-gen-2.00.tar.gz 7738 BLAKE2B
cde6de5ba3400aea24d0d5f1b79471f89f09fb747c8e371e38316c7ada92f967e0865f573f23cb353d82419c234724143c0aeca9eb70eb945dfc581cc7491eb1
SHA512
b609fddb9ec5e567c008841fef3390eddb5d6e7699a8271b3b8c0ade1b44b0ac2e5d1daa8b9acabf3432e3b88110b538a96f209b1ad0f9e988b7efce66606dff
diff --git a/sys-libs/glibc/glibc-9999.ebuild b/sys-libs/glibc/glibc-9999.ebuild
index aec5e3c69a7..32cac60af6e 100644
--- a/sys-libs/glibc/glibc-9999.ebuild
+++ b/sys-libs/glibc/glibc-9999.ebuild
@@ -28,10 +28,14 @@ RELEASE_VER=${PV}
GCC_BOOTSTRAP_VER=20180511
+LOCALE_GEN_VER=2.00
+
# Gentoo patchset
PATCH_VER=16
+PATCH_DEV=slyfox
-SRC_URI+="
https://dev.gentoo.org/~slyfox/distfiles/${P}-patches-${PATCH_VER}.tar.xz"
+SRC_URI+="
https://dev.gentoo.org/~${PATCH_DEV}/distfiles/${P}-patches-${PATCH_VER}.tar.xz"
+SRC_URI+="
https://gitweb.gentoo.org/proj/locale-gen.git/snapshot/locale-gen-${LOCALE_GEN_VER}.tar.gz"
SRC_URI+=" multilib? (
https://dev.gentoo.org/~dilfridge/distfiles/gcc-multilib-bootstrap-${GCC_BOOTSTRAP_VER}.tar.xz
)"
IUSE="audit caps cet compile-locales +crypt custom-cflags doc gd headers-only
+multiarch multilib nscd profile selinux +ssp +static-libs static-pie suid
systemtap test vanilla"
@@ -728,6 +732,8 @@ src_unpack() {
cd "${WORKDIR}" || die
unpack glibc-${RELEASE_VER}-patches-${PATCH_VER}.tar.xz
+
+ unpack locale-gen-${LOCALE_GEN_VER}.tar.gz
}
src_prepare() {
@@ -744,6 +750,12 @@ src_prepare() {
cd "${WORKDIR}"
find . -name configure -exec touch {} +
+ # until the patchset is updated
+ rm -rf extra/locale || die
+
+ # move the external locale-gen to its old place
+ mv locale-gen-${LOCALE_GEN_VER} extra/locale || die
+
eprefixify extra/locale/locale-gen
# Fix permissions on some of the scripts.